---
id: ci-application-build-update
title: Update the status of a build
description: Update the status of a specific build.
sidebar_label: Update the status of a build
hide_title: true
hide_table_of_contents: true
api: >-
  eJytVUtv2zgQ/ivEnHYBrp2mPemWpl1s9lS0LvYQGAFNji22EsmQw6SGwP++GEq2lVcfQH2xRM3jm2++GQ5gMOloA1nvoIHPwShCQS2KRIpyEn4rlEgBtd1aLTbZdmYBEkjtEjTXcHm1vHwHawk+YFQc5cpAA9reqBA6q+vRTXVrcg0OEoKKqkfCyCEGcKpHaMAakGAZRVDUgoSIt9lGNNBQzCgh6RZ7Bc0AtA/VwxHuMEKRj8pYtSiu3jF2rqRmF+TFCGABZT0Gx0RvvdlzxMe5tHeEjvjTrJDll8Txh6dQ/OYLauLaIjNBFlO1qyTO7BJF63bwHGCH9wfStz6ekC/EB5+S3XQo7lSXMTUioDPW7aSw7iZEv4uYkhRbZTs0UqSsNaa0zd0CSpGA31QfOpzjgZkjFP4xIyl4l0bg52dn/PcQ5dtK5IRxJNPMsnV7VsZvYs6aZxr9HG3Z2dv8pN2M5Fj3q/PXRf5SL07ifxjR5Z5VP/Ff9XriUcLYAZBwIoVn4wjk6FjknJybny72VOXMXaiUvLa1G/eW2hdYOH/9httMliqU2sxD7xPqHC3t6zxuUEWMF5laaK7XPCw9UuvNOJm6rRPMH2FZsywHawoXjfHuMNM5dtBASxRSs1xqu3C560KnaOtjv9C+r0N4SPuJRTH2fZ78SAnHgWkB8PtoBHJ6+NvHXhE08O9/q6p4FtvH04C//9EAcB+3viac2Bn3mgQuaKT/1eJsccamwSfqVRXztLle2JqVnMdtHE4D8gvbdqSB8BstQ6esYxyV4mFqxTUcsjXWsOZan4iPh2GjEn6OXSl8fJsxcpfXEu5UtGrD1V4PYGziZwPNVnUJvwP6j4/TqvxT/GDNvoB7OlRuz/zyRoMGQMJX3I+3QFkXCS0qg7FiGz9cjgj+WrH7yfHJjiny4HGhNQb6ru1c2x8uVpf/sKamK6H3hp2iuue7SN2PKH2lpEq1ng3QKbfLase2Y1BWoHoo4EeCrWU9y8MwjBYr/xVdKUdaiN+ZmVL+B4+ypSM=
sidebar_class_name: patch api-method
info_path: docs/api/ci-cd
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/ci-application-build-update'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Update the status of a build"}
>
</Heading>

<MethodEndpoint
  method={"patch"}
  path={"/build/{id}"}
  context={"endpoint"}
>

</MethodEndpoint>

Update the status of a specific build.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"id","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the build to update."}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"The new status for the build. Possible values: pending, in_progress, failed, successful."}},"example":{"status":"in_progress"}}}}}}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Build status updated successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"The unique ID of the build.","example":123},"status":{"type":"string","description":"The status of the build.","enum":["pending","in_progress","failed","successful"],"example":"pending"},"application_id":{"type":"integer","description":"The ID of the application associated with the build.","example":234}},"title":"Build"}}}}}}
>

</StatusCodes>

